Đã hoàn thành

Fix compatibility issue (parsing XML data) when upgrading from PHP 7.0 to 7.4

The code I have was provided to me some years back and works perfectly up to version 7.0

When I upgrade the server it throws approx 6 errors all similar to the example provided:

"Fatal error: Uncaught Error: Cannot use string offset as an array in /var/www/xxxxxx/[login to view URL](258) : eval()'d code:1 Stack trace: #0"

Can you solve the following Typical error?

I want to upgrade a server to PHP 7.4 but the above typical error appears when moving from version 7.0 to 7.1 onwards. Approx 6 errors exist similar to above and it happens when parsing data in an XML file. I want all errors fixed however I believe that it's the same issue that is causing them.

Are you familiar with upgrading php and issues with the eval() function?

Kĩ năng: PHP, XML, Kiến trúc phần mềm, WordPress, Thử nghiệm trang web, Web Hosting, Dịch vụ Web, Quản lý website, Website Optimization

Về khách hàng:
( 0 nhận xét ) Carrick on Shannon, Ireland

ID dự án: #34327562

Được trao cho:

(41 Đánh Giá)
5.8

34 freelancer chào giá trung bình€218 cho công việc này

(1271 Nhận xét)
9.4
(367 Nhận xét)
8.9
(353 Nhận xét)
8.8
(138 Nhận xét)
8.8
(313 Nhận xét)
8.0
(584 Nhận xét)
8.2
(113 Nhận xét)
8.0
Friends4it

We already have built large scale applications, CRMs, ERPs and huge systems can be found at our website. Like [login to view URL] [login to view URL] [login to view URL] [login to view URL] [login to view URL] https: Thêm

€220 EUR trong 6 ngày
(452 Nhận xét)
8.2
(1220 Nhận xét)
7.7
(137 Nhận xét)
7.7
(122 Nhận xét)
7.4
(481 Nhận xét)
7.3
(224 Nhận xét)
7.2
(102 Nhận xét)
7.3
(206 Nhận xét)
7.0
(251 Nhận xét)
7.2
(261 Nhận xét)
7.1
(201 Nhận xét)
6.6
(176 Nhận xét)
6.9
c0909h1179

Hi there, I'm the best here! Would love to work together. Thanks!

€150 EUR trong 1 ngày
(31 Nhận xét)
6.3